%define	svn	6720
%define	rel	2
%define	name	netsurf
%define	version	1.2
%define summary	small, lightweight web browser

%if %svn
%define distname	%{name}-r%{svn}
%define	release		%mkrel %{rel}.%{svn}
%else
%define distname	%{name}-%{version}-src
%define	release		%mkrel %{rel}
%endif

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
Group:		Networking/WWW
Source0:	http://www.netsurf-browser.org/downloads/releases/%{distname}.tar.gz
Source1:	http://www.sqlite.org/cvstrac/getfile/sqlite/tool/lemon.c
Source2:	http://www.sqlite.org/cvstrac/getfile/sqlite/tool/lempar.c
Source3:	netsurf.desktop
Source4:	netsurf.png
Patch1:		netsurf-fix_startup_script.patch
# Majority of code is GPL; can be linked against OpenSSL; visual elements are MIT
License:	GPL, OpenSSL, MIT
URL:		http://www.netsurf-browser.org/
Packager:	KDulcimer <kdulcimer@gmail.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libglade2.0_0-devel
BuildRequires:	curl-devel
BuildRequires:	libhubbub-devel
BuildRequires:	libmng-devel
BuildRequires:	librsvg2-devel
BuildRequires:	lcms-devel
BuildRequires:	re2c
BuildRequires:	libopenssl-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	glibc-devel
BuildRequires:	perl
BuildRequires:	libnsbmp-devel
BuildRequires:	libnsgif-devel
BuildRequires:	libparserutils-devel
# Thu Jan 22 2009
# SVN 6173
# Disable haru PDF
#BuildRequires:	libharu-devel

Provides:	webclient

%description
NetSurf is a free, open source web browser. It is written in C and released
under the GNU Public Licence version 2. NetSurf has its own layout and
rendering engine entirely written from scratch. It is small and capable of
handling many of the web standards in use today.

Project Goals

The NetSurf project's goals and aims are:

1. Have fun
NetSurf is developed in people's spare time, so our main goal is to have fun –
hopefully learning something and creating a product that people find useful
along the way. If you want to join in, check out the developer and contributor
area!

2. Adhere to the standards
There are many web standards. HTTP, HTML and CSS are just a few of them, and
new specifications appearing all the time. The NetSurf team is devoted to
implementing these standards.

3. Superior user experience
We want NetSurf to provide a consistent interface to the user that fits right
in with your desktop environment. We aim to make NetSurf's interface clean and
simple while providing access to powerful functionality.

4. Keep NetSurf small
NetSurf is a web browser with a small footprint, and we want to keep it that way.

5. Portability
We want NetSurf to be available to as many users as possible. We've already
seen ports to handheld devices and would like to help anyone attempting a new
port.

6. Modularity
Many of of the components designed for NetSurf are available separately, so
that others might use them in their own projects.

%prep
%setup -q -n %{name}
%patch1

%build
%__mkdir lemon
%__cc -o lemon/lemon "%{SOURCE1}"
%__install -m0644 "%{SOURCE2}" css/lempar.c
export PATH="$PWD/lemon:$PATH"

%__make %{?jobs:-j%{jobs}} TARGET=gtk NETSURF_USE_HARU_PDF=NO NETSURF_USE_HUBBUB=YES NETSURF_GTK_RESOURCES=/usr/share/netsurf/ NETSURF_STRIP_BINARY=YES

%install
%__install -D -m0755 ./nsgtk "%{buildroot}%{_bindir}/nsgtk"
%__install -D -m0755 ./netsurf "%{buildroot}%{_bindir}/netsurf"
%__install -d "%{buildroot}%{_datadir}"
%__cp -r --dereference gtk/res "%{buildroot}%{_datadir}/netsurf"

%__install -D -m0644 "%{SOURCE3}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 "%{SOURCE4}" "%{buildroot}%{_datadir}/pixmaps/netsurf.png"

%clean
%__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/nsgtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Mar 06 2009 KDulcimer <kdulcimer@gmail.com> 1.2.2.6720
- svn 6720

* Fri Feb 13 2009 KDulcimer <kdulcimer@gmail.com> 1.2-2.6469tinyme2008
- update to SVN 6469

* Mon Jan 19 2009 KDulcimer <kdulcimer@gmail.com> 1.2-2tinyme2008
- corrected desktop file
- build with hubbub instead of libxml2

* Mon Jan 19 2009 KDulcimer <kdulcimer@gmail.com> 1.2-1tinyme2008
- Build for TinyMe
- import patches, sources 1-4 from SuSE
